#!/usr/bin/php
<?php
# Copyright 2024 Tero Karvinen https://TeroKarvinen.com

$format = 'Y-m-d \wW D'; // https://terokarvinen.com/2021/calendar-txt/
$start = new DateTime('1700-01-01');
$end = new DateTime('2400-01-02'); // one day past last date to make it inclusive, 2400-01-01

$interval = new DateInterval('P1D'); // one day
$period = new DatePeriod($start, $interval, $end);

foreach ($period as $date) {
   echo $date->format($format) . "\n";
}
?>
