calendartxt-date - test commands to print date in Calendar.txt format "2024-01-04 w01 Thu"
Copyright 2024 Tero Karvinen https://TeroKarvinen.com

## The test

Generate Calendar.txt formatted date for each day in testing period. 

The testing period 

- Must be considerably longer than the lifetime of any living person now (2024). 
- Should not go near the edge of clearly defined dates, e.g. dates outside gregorian calendar. This is to avoid irrelevant errors outside the range of real-life usable dates. 

- First day:  1700-01-01
	- Inclusive
	- 1700 is much later than "Inter gravissimas" bulla in 1582
	- 1700 is over 300 years ago
- Last day 2400-01-01
	- Inclusive
	- 2400 is over 300 years into the future

## See also

All quotes are picks, dashes added, reordered. 

Calendar.txt

https://terokarvinen.com/2021/calendar-txt/

Date

https://en.wikipedia.org/wiki/ISO_8601 """

- ISO 8601:2004 fixes a reference calendar date to the Gregorian calendar of 20 May 1875 as the date the Convention du Mètre (Metre Convention) was signed in Paris (the explicit reference date was removed in ISO 8601-1:2019). However, ISO calendar dates before the convention are still compatible with the Gregorian calendar all the way back to the official introduction of the Gregorian calendar on 15 October 1582. 

"""

https://en.wikipedia.org/wiki/Inter_gravissimas "Inter gravissimas (English: "Among the most serious...") was a papal bull issued by Pope Gregory XIII on 24 February 1582."

1582-02-24  Inter gravissimas
