#!/usr/bin/bash
# Copyright 2024 Tero Karvinen https://TeroKarvinen.com

STARTDATE="1700-01-01" # first date, inclusive, YYYY-MM-DD, e.g. "1700-01-01"
# STARTDATE="2399-12-01" # for testing the last date
ENDDATE="2400-01-02" # one day past last date, YYYY-MM-DD, it's inclusive "2400-01-01"

# OUTFILE="out/dategen-sh-out.txt"

FORMAT="%Y-%m-%d w%V %a"
DATE=$(date -d "$STARTDATE" +"$FORMAT")

# echo "" > "$OUTFILE"

until [ "$ENDDATE" == "$(echo "$DATE"|head -c10)" ]
do
	# echo "$DATE" >> "$OUTFILE"
	echo "$DATE"
	DATE=$(date -d "$DATE + 1 days" +"$FORMAT")
done


# echo "$DATE"|head -c10
