// Copyright 2020-2024 Tero Karvinen http://TeroKarvinen.com

package main

import (
	"fmt"
	"time"
)

func main() {

	/* Print dates */
	weekdays := []string{"Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"}
	day := time.Date(1700, time.January, 1, 0, 0, 0, 0, time.UTC)
	// day := time.Date(2399, time.December, 1, 0, 0, 0, 0, time.UTC) // for testing
	end := time.Date(2400, time.January, 1, 0, 0, 0, 0, time.UTC)
	for !day.After(end) {
		_, w := day.ISOWeek()
		weekday := weekdays[day.Weekday()]
		fmt.Printf("%v w%02d %s\n", day.Format("2006-01-02"), w, weekday)
		day = day.Add(time.Hour * 24)
	}
}
